# PhasicFlow: src/phasicFlow/streams/TStream/iTstream.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

iTstream.hpp File Reference
Include dependency graph for iTstream.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | iTstream
| Input token stream. More...

## Namespaces

| pFlow

## Functions

bool | validTokenForStream (const token tok)
| Is tok a valid token for this stream? More...
bool | isBeginToken (const token &tok)
| Is tok a begin token? More...
bool | isEndToken (const token &tok)
| Is tok an end token? More...